This project has moved and is read-only. For the latest updates, please go here.

LESS Lite 1.7.27 AssetTranslationException

Sep 9, 2013 at 8:41 AM
Добрый день!

После обновления BundleTransformer до версии 1.8.0.0, у меня перестал работать LESS Lite translator. При запуске приложения получаю ошибку:

Исключение типа "BundleTransformer.Core.Translators.AssetTranslationException" возникло в BundleTransformer.Less.dll, но не было обработано в коде пользователя

Дополнительные сведения: Во время трансляции LESS-кода, считанного из файла "/Content/Site.less", в CSS-код произошла ошибка!

Смотрите более подробную информацию об ошибке:

Не удалось загрузить тип "BundleTransformer.Core.SourceCodeHelpers.SourceCodeNavigator" из сборки "BundleTransformer.Core, Version=1.8.0.0, Culture=neutral, PublicKeyToken=973c344c93aac60d".

Ничего, вроде бы, я не менял. Пробовал переустановить пакеты - ничего не изменилось. Возможно, LESS Lite 1.7.27 не совместим с BundleTransformer 1.8.0.0? Но другой версии LESS Lite на нугетах нету.
Sep 10, 2013 at 8:35 AM
Здравствуйте, Tstar!

После перехода на LESS 1.4.2 и отказа от dotless BundleTransformer.Less и BundleTransformer.LessLite стали абсолютно идентичными пакетами.

В тексте релиза Bundle Transformer 1.8.0 написано, что BundleTransformer.LessLite устарел и вместо него следует использовать BundleTransformer.Less.

Кроме того в описании пакета BundleTransformer.LessLite уже с 12 августа написано: «Legacy package, BundleTransformer.LessLite is now included in the 'BundleTransformer.Less' package (http://nuget.org/packages/BundleTransformer.Less)».
Sep 10, 2013 at 11:19 AM
Благодарю за разъяснения.
Я то же заметил, что изменилось название сборки, но, особо не обратил внимания, так как в голове отложилось, что лайт версия, как-бы, по лучше будет. :)
Ок, значит, придется опять возвращаться на обычную версию.
Спасибо.